# std::bad_exception Class Reference

Inheritance diagram for std::bad_exception:

[legend]
Collaboration diagram for std::bad_exception:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

If an exception is thrown which is not listed in a function's exception specification, one of these may be thrown.

Definition at line 64 of file exception.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- exception